scala.collection.mutable

# UnrolledBuffer

#### class UnrolledBuffer[T] extends Buffer[T] with BufferLike[T, UnrolledBuffer[T]] with GenericClassManifestTraversableTemplate[T, UnrolledBuffer] with Builder[T, UnrolledBuffer[T]] with Serializable

A buffer that stores elements in an unrolled linked list.

Unrolled linked lists store elements in linked fixed size arrays.

Unrolled buffers retain locality and low memory overhead properties of array buffers, but offer much more efficient element addition, since they never reallocate and copy the internal array.

However, they provide `O(n/m)` complexity random access, where `n` is the number of elements, and `m` the size of internal array chunks.

Ideal to use when:

- elements are added to the buffer and then all of the elements are traversed sequentially
- two unrolled buffers need to be concatenated (see `concat`)

Better than singly linked lists for random access, but should still be avoided for such a purpose.

Annotations
  @SerialVersionUID( uid = 1L )
Source
  UnrolledBuffer.scala

Linear Supertypes
Serializable, Serializable, Builder[T, UnrolledBuffer[T]], GenericClassManifestTraversableTemplate[T, UnrolledBuffer], Buffer[T], BufferLike[T, UnrolledBuffer[T]], Subtractable[T, UnrolledBuffer[T]], Scriptable[T], Shrinkable[T], Growable[T], Seq[T], SeqLike[T, UnrolledBuffer[T]], Cloneable[UnrolledBuffer[T]], Seq[T], SeqLike[T, UnrolledBuffer[T]], GenSeq[T], GenSeqLike[T, UnrolledBuffer[T]], PartialFunction[Int, T], (Int) ⇒ T, Iterable[T], Iterable[T], IterableLike[T, UnrolledBuffer[T]], Equals, GenIterable[T], GenIterableLike[T, UnrolledBuffer[T]], Traversable[T], Mutable, Traversable[T], GenTraversable[T], GenericTraversableTemplate[T, Buffer], TraversableLike[T, UnrolledBuffer[T]], GenTraversableLike[T, UnrolledBuffer[T]], Parallelizable[T, ParSeq[T]], TraversableOnce[T], GenTraversableOnce[T], FilterMonadic[T, UnrolledBuffer[T]], HasNewBuilder[T, UnrolledBuffer[T]], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. UnrolledBuffer
2. Serializable
3. Serializable
4. Builder
5. GenericClassManifestTraversableTemplate
6. Buffer
7. BufferLike
8. Subtractable
9. Scriptable
10. Shrinkable
11. Growable
12. Seq
13. SeqLike
14. Cloneable
15. Seq
16. SeqLike
17. GenSeq
18. GenSeqLike
19. PartialFunction
20. Function1
21. Iterable
22. Iterable
23. IterableLike
24. Equals
25. GenIterable
26. GenIterableLike
27. Traversable
28. Mutable
29. Traversable
30. GenTraversable
31. GenericTraversableTemplate
32. TraversableLike
33. GenTraversableLike
34. Parallelizable
35. TraversableOnce
36. GenTraversableOnce
37. FilterMonadic
38. HasNewBuilder
39. AnyRef
40. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new UnrolledBuffer()(implicit manifest: ClassManifest[T])

### Type Members

1. #### type Self = UnrolledBuffer[T]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

2. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def ++(xs: GenTraversableOnce[T]): UnrolledBuffer[T]

   Creates a new collection containing both the elements of this collection and the provided traversable object.

   Creates a new collection containing both the elements of this collection and the provided traversable object.

   xs

     the traversable object.

   returns

     a new collection consisting of all the elements of this collection and `xs`.

   Definition Classes
     BufferLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `++` creates a new buffer. Use `++=` to add an element from this buffer and return that buffer itself.

5. #### abstract def ++[B](that: GenTraversableOnce[B]): UnrolledBuffer[B]

   [use case] Returns a new unrolled buffer containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new unrolled buffer containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the unrolled buffer is the most specific superclass encompassing the element types of the two operands (see example).

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new collection of type `That` which contains all elements of this unrolled buffer followed by all elements of `that`.

   Definition Classes
     GenTraversableLike

6. #### def ++[B >: T, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

   Returns a new unrolled buffer containing the elements from the left hand operand followed by the elements from the right hand operand.

   Returns a new unrolled buffer containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the unrolled buffer is the most specific superclass encompassing the element types of the two operands (see example).

   Example:

           scala> val a = LinkedList(1)
           a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

           scala> val b = LinkedList(2)
           b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val c = a ++ b
           c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

           scala> val d = LinkedList('a')
           d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

           scala> val e = c ++ d
           e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this unrolled buffer followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike

7. #### def ++:[B >: T, That](that: Traversable[B])(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand. It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one.

   Example:

           scala> val x = List(1)
           x: List[Int] = List(1)

           scala> val y = LinkedList(2)
           y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val z = x ++: y
           z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new unrolled buffer which contains all elements of this unrolled buffer followed by all elements of `that`.

   Definition Classes
     TraversableLike

8. #### abstract def ++:[B](that: TraversableOnce[B]): UnrolledBuffer[B]

   [use case] Concatenates this unrolled buffer with the elements of a traversable collection.

   [use case]

   Concatenates this unrolled buffer with the elements of a traversable collection. It differs from ++ in that the right operand determines the type of the resulting collection rather than the left one.

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new collection of type `That` which contains all elements of this unrolled buffer followed by all elements of `that`.

   Definition Classes
     TraversableLike

9. #### def ++:[B >: T, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

   Concatenates this unrolled buffer with the elements of a traversable collection.

   Concatenates this unrolled buffer with the elements of a traversable collection. It differs from ++ in that the right operand determines the type of the resulting collection rather than the left one.

   Example:

           scala> val x = List(1)
           x: List[Int] = List(1)

           scala> val y = LinkedList(2)
           y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val z = x ++: y
           z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this unrolled buffer followed by all elements of `that`.

   Definition Classes
     TraversableLike

10. #### def ++=(xs: TraversableOnce[T]): UnrolledBuffer.this.type

    Appends all elements produced by a TraversableOnce to this unrolled buffer.

    Appends all elements produced by a TraversableOnce to this unrolled buffer.

    returns

      the unrolled buffer itself.

    Definition Classes
      Growable

11. #### def ++=:(xs: TraversableOnce[T]): UnrolledBuffer.this.type

    Prepends elements to this buffer.

    Prepends elements to this buffer.

    xs

      the TraversableOnce containing the elements to prepend.

    returns

      the buffer itself.

    Definition Classes
      BufferLike

12. #### abstract def +:(elem: T): UnrolledBuffer[T]

    [use case] A copy of the unrolled buffer with an element prepended.

    [use case]

    A copy of the unrolled buffer with an element prepended.

    elem

      the prepended element

    returns

      a new collection of type `That` consisting of `elem` followed by all elements of this unrolled buffer.

    Definition Classes
      GenSeqLike

13. #### def +:[B >: T, That](elem: B)(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

    A copy of the unrolled buffer with an element prepended.

    A copy of the unrolled buffer with an element prepended.

    Note that :-ending operators are right associative (see example). Also, the original unrolled buffer is not modified, so you will want to capture the result.

    Example:

             scala> val x = LinkedList(1)
             x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

             scala> val y = 2 +: x
             y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

             scala> println(x)
             LinkedList(1)

    B

      the element type of the returned unrolled buffer.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    elem

      the prepended element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` consisting of `elem` followed by all elements of this unrolled buffer.

    Definition Classes
      SeqLike → GenSeqLike

14. #### def +=(elem: T): UnrolledBuffer.this.type

    Adds a single element to the builder.

    Adds a single element to the builder.

    elem

      the element to be added.

    returns

      the builder itself.

    Definition Classes
      UnrolledBuffer → Builder → BufferLike → Growable

15. #### def +=(elem1: T, elem2: T, elems: T*): UnrolledBuffer.this.type

    Appends two or more elements to this unrolled buffer.

    Appends two or more elements to this unrolled buffer.

    elem1

      the first element to append.

    elem2

      the second element to append.

    elems

      the remaining elements to append.

    returns

      the unrolled buffer itself

    Definition Classes
      Growable

16. #### def +=:(elem: T): UnrolledBuffer.this.type

    Prepends a single element to this buffer.

    Prepends a single element to this buffer.

    elem

      the element to prepend.

    returns

      the buffer itself.

    Definition Classes
      UnrolledBuffer → BufferLike

17. #### def -(elem1: T, elem2: T, elems: T*): UnrolledBuffer[T]

    Creates a new collection with all the elements of this collection except the two or more specified elements.

    Creates a new collection with all the elements of this collection except the two or more specified elements.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      a new collection consisting of all the elements of this collection except `elem1`, `elem2` and those in `elems`.

    Definition Classes
      BufferLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new buffer. Use `-=` to remove an element from this buffer and return that buffer itself.

18. #### def -(elem: T): UnrolledBuffer[T]

    Creates a new collection with all the elements of this collection except `elem`.

    Creates a new collection with all the elements of this collection except `elem`.

    elem

      the element to remove.

    returns

      a new collection consisting of all the elements of this collection except `elem`.

    Definition Classes
      BufferLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new buffer. Use `-=` to remove an element from this buffer and return that buffer itself.

19. #### def --(xs: GenTraversableOnce[T]): UnrolledBuffer[T]

    Creates a new collection with all the elements of this collection except those provided by the specified traversable object.

    Creates a new collection with all the elements of this collection except those provided by the specified traversable object.

    xs

      the traversable object.

    returns

      a new collection with all the elements of this collection except those in `xs`

    Definition Classes
      BufferLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `--` creates a new buffer. Use `--=` to remove an element from this buffer and return that buffer itself.

20. #### def --=(xs: TraversableOnce[T]): UnrolledBuffer.this.type

    Removes all elements produced by an iterator from this unrolled buffer.

    Removes all elements produced by an iterator from this unrolled buffer.

    returns

      the unrolled buffer itself

    Definition Classes
      Shrinkable

21. #### def -=(x: T): UnrolledBuffer.this.type

    Removes a single element from this buffer, at its first occurrence.

    Removes a single element from this buffer, at its first occurrence. If the buffer does not contain that element, it is unchanged.

    x

      the element to remove.

    returns

      the buffer itself

    Definition Classes
      BufferLike → Shrinkable

22. #### def -=(elem1: T, elem2: T, elems: T*): UnrolledBuffer.this.type

    Removes two or more elements from this unrolled buffer.

    Removes two or more elements from this unrolled buffer.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      the unrolled buffer itself

    Definition Classes
      Shrinkable

23. #### def /:[B](z: B)(op: (B, T) ⇒ B): B

    Applies a binary operator to a start value and all elements of this unrolled buffer, going left to right.

    Applies a binary operator to a start value and all elements of this unrolled buffer, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (5 /: a)(_+_)
             b: Int = 15

             scala> val c = (5 /: a)((x,y) => x + y)
             c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this unrolled buffer, going left to right with the start value `z` on the left:

                      op(...op(op(z, x1), x2), ..., xn)

      where `x1, ..., xn` are the elements of this unrolled buffer.

    Definition Classes
      TraversableOnce → GenTraversableOnce

24. #### def /:\[A1 >: T](z: A1)(op: (A1, A1) ⇒ A1): A1

    A syntactic sugar for out of order folding.

    A syntactic sugar for out of order folding. See `fold`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a /:\ 5)(_+_)
             b: Int = 15

    Definition Classes
      GenTraversableOnce

25. #### abstract def :+(elem: T): UnrolledBuffer[T]

    [use case] A copy of this unrolled buffer with an element appended.

    [use case]

    A copy of this unrolled buffer with an element appended.

    elem

      the appended element

    returns

      a new collection of type `That` consisting of all elements of this unrolled buffer followed by `elem`.

    Definition Classes
      GenSeqLike

26. #### def :+[B >: T, That](elem: B)(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

    A copy of this unrolled buffer with an element appended.

    A copy of this unrolled buffer with an element appended.

    B

      the element type of the returned unrolled buffer.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    elem

      the appended element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` consisting of all elements of this unrolled buffer followed by `elem`.

    Definition Classes
      SeqLike → GenSeqLike

27. #### def :\[B](z: B)(op: (T, B) ⇒ B): B

    Applies a binary operator to all elements of this unrolled buffer and a start value, going right to left.

    Applies a binary operator to all elements of this unrolled buffer and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a :\ 5)(_+_)
             b: Int = 15

             scala> val c = (a :\ 5)((x,y) => x + y)
             c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this unrolled buffer, going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this unrolled buffer.

    Definition Classes
      TraversableOnce → GenTraversableOnce

28. #### def <<(cmd: Message[T]): Unit

    Send a message to this scriptable object.

    Send a message to this scriptable object.

    cmd

      the message to send.

    Definition Classes
      BufferLike → Scriptable

29. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

31. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this unrolled buffer to a string builder.

    Appends all elements of this unrolled buffer to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this unrolled buffer without any separator string.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> val h = a.addString(b)
             b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

32. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this unrolled buffer to a string builder using a separator string.

    Appends all elements of this unrolled buffer to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this unrolled buffer, separated by the string `sep`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> a.addString(b, ", ")
             res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

33. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this unrolled buffer to a string builder using start, end, and separator strings.

    Appends all elements of this unrolled buffer to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this unrolled buffer are separated by the string `sep`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> a.addString(b, "LinkedList(", ", ", ")")
             res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

34. #### def aggregate[B](z: B)(seqop: (B, T) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

           pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

35. #### def andThen[C](k: (T) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

36. #### def append(elems: T*): Unit

    Appends the given elements to this buffer.

    Appends the given elements to this buffer.

    elems

      the elements to append.

    Definition Classes
      BufferLike

37. #### def appendAll(xs: TraversableOnce[T]): Unit

    Appends the elements contained in a traversable object to this buffer.

    Appends the elements contained in a traversable object to this buffer.

    xs

      the traversable object containing the elements to append.

    Definition Classes
      BufferLike

38. #### def apply(idx: Int): T

    Selects an element by its index in the unrolled buffer.

    Selects an element by its index in the unrolled buffer.

    Example:

           scala> val x = LinkedList(1, 2, 3, 4, 5)
           x: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4, 5)

           scala> x(3)
           res1: Int = 4

    idx

      The index to select.

    returns

      the element of this unrolled buffer at index `idx`, where `0` indicates the first element.

    Definition Classes
      UnrolledBuffer → BufferLike → SeqLike → GenSeqLike → Function1
    Exceptions thrown
      `IndexOutOfBoundsException`

      if `idx` does not satisfy `0 <= idx < length`.

39. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

40. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this unrolled buffer should be compared

    returns

      `true`, if this unrolled buffer can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

41. #### def classManifestCompanion: scala.collection.mutable.UnrolledBuffer.type

    Definition Classes
      UnrolledBuffer → GenericClassManifestTraversableTemplate

42. #### def clear(): Unit

    Clears the contents of this builder.

    Clears the contents of this builder. After execution of this method the builder will contain no elements.

    Definition Classes
      UnrolledBuffer → Builder → BufferLike → Growable

43. #### def clone(): UnrolledBuffer[T]

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

44. #### abstract def collect[B](pf: PartialFunction[T, B]): UnrolledBuffer[B]

    [use case] Builds a new collection by applying a partial function to all elements of this unrolled buffer on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this unrolled buffer on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the unrolled buffer.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      GenTraversableLike

45. #### def collect[B, That](pf: PartialFunction[T, B])(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

    Builds a new collection by applying a partial function to all elements of this unrolled buffer on which the function is defined.

    Builds a new collection by applying a partial function to all elements of this unrolled buffer on which the function is defined.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    pf

      the partial function which filters and maps the unrolled buffer.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

46. #### def collectFirst[B](pf: PartialFunction[T, B]): Option[B]

    Finds the first element of the unrolled buffer for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the unrolled buffer for which the given partial function is defined, and applies the partial function to it.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

47. #### def combinations(n: Int): Iterator[UnrolledBuffer[T]]

    Iterates over combinations.

    Iterates over combinations.

    returns

      An Iterator which traverses the possible n-element combinations of this unrolled buffer.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

48. #### def companion: GenericCompanion[Buffer]

    The factory companion object that builds instances of class UnrolledBuffer.

    The factory companion object that builds instances of class UnrolledBuffer. (or its `Iterable` superclass where class UnrolledBuffer is not a `Seq`.)

    Definition Classes
      Buffer → Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

49. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ T

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1

50. #### def concat(that: UnrolledBuffer[T]): UnrolledBuffer[T]

    Concatenates the targer unrolled buffer to this unrolled buffer.

    Concatenates the targer unrolled buffer to this unrolled buffer.

    The specified buffer `that` is cleared after this operation. This is an O(1) operation.

    that

      the unrolled buffer whose elements are added to this buffer

51. #### def contains(elem: Any): Boolean

    Tests whether this unrolled buffer contains a given value as an element.

    Tests whether this unrolled buffer contains a given value as an element.

    elem

      the element to test.

    returns

      `true` if this unrolled buffer has an element that is is equal (wrt `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqLike

52. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this unrolled buffer contains a given sequence as a slice.

    Tests whether this unrolled buffer contains a given sequence as a slice.

    that

      the sequence to test

    returns

      `true` if this unrolled buffer contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

53. #### abstract def copyToArray(xs: Array[T], start: Int, len: Int): Unit

    [use case] Copies elements of this unrolled buffer to an array.

    [use case]

    Copies elements of this unrolled buffer to an array. Fills the given array `xs` with at most `len` elements of this unrolled buffer, starting at position `start`. Copying will stop once either the end of the current unrolled buffer is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      TraversableLike

54. #### def copyToArray[B >: T](xs: Array[B], start: Int, len: Int): Unit

    Copies elements of this unrolled buffer to an array.

    Copies elements of this unrolled buffer to an array. Fills the given array `xs` with at most `len` elements of this unrolled buffer, starting at position `start`. Copying will stop once either the end of the current unrolled buffer is reached, or the end of the array is reached, or `len` elements have been copied.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

55. #### abstract def copyToArray(xs: Array[T]): Unit

    [use case] Copies values of this unrolled buffer to an array.

    [use case]

    Copies values of this unrolled buffer to an array. Fills the given array `xs` with values of this unrolled buffer. Copying will stop once either the end of the current unrolled buffer is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      GenTraversableOnce

56. #### def copyToArray[B >: T](xs: Array[B]): Unit

    Copies values of this unrolled buffer to an array.

    Copies values of this unrolled buffer to an array. Fills the given array `xs` with values of this unrolled buffer. Copying will stop once either the end of the current unrolled buffer is reached, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce

57. #### abstract def copyToArray(xs: Array[T], start: Int): Unit

    [use case] Copies values of this unrolled buffer to an array.

    [use case]

    Copies values of this unrolled buffer to an array. Fills the given array `xs` with values of this unrolled buffer, beginning at index `start`. Copying will stop once either the end of the current unrolled buffer is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      GenTraversableOnce

58. #### def copyToArray[B >: T](xs: Array[B], start: Int): Unit

    Copies values of this unrolled buffer to an array.

    Copies values of this unrolled buffer to an array. Fills the given array `xs` with values of this unrolled buffer, beginning at index `start`. Copying will stop once either the end of the current unrolled buffer is reached, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce

59. #### def copyToBuffer[B >: T](dest: Buffer[B]): Unit

    Copies all elements of this unrolled buffer to a buffer.

    Copies all elements of this unrolled buffer to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

60. #### def corresponds[B](that: GenSeq[B])(p: (T, B) ⇒ Boolean): Boolean

    Tests whether every element of this unrolled buffer relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this unrolled buffer relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this unrolled buffer and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqLike → GenSeqLike

61. #### def count(p: (T) ⇒ Boolean): Int

    Counts the number of elements in the unrolled buffer which satisfy a predicate.

    Counts the number of elements in the unrolled buffer which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

62. #### abstract def diff(that: Seq[T]): UnrolledBuffer[T]

    [use case] Computes the multiset difference between this unrolled buffer and another sequence.

    [use case]

    Computes the multiset difference between this unrolled buffer and another sequence.

    that

      the sequence of elements to remove

    returns

      a new collection of type `That` which contains all elements of this unrolled buffer except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike

63. #### def diff[B >: T](that: GenSeq[B]): UnrolledBuffer[T]

    Computes the multiset difference between this unrolled buffer and another sequence.

    Computes the multiset difference between this unrolled buffer and another sequence.

    B

      the element type of the returned unrolled buffer.

    that

      the sequence of elements to remove

    returns

      a new collection of type `That` which contains all elements of this unrolled buffer except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike → GenSeqLike

64. #### def distinct: UnrolledBuffer[T]

    Builds a new unrolled buffer from this unrolled buffer without any duplicate elements.

    Builds a new unrolled buffer from this unrolled buffer without any duplicate elements.

    returns

      A new unrolled buffer which contains the first occurrence of every element of this unrolled buffer.

    Definition Classes
      SeqLike → GenSeqLike

65. #### def drop(n: Int): UnrolledBuffer[T]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this unrolled buffer.

    returns

      a unrolled buffer consisting of all elements of this unrolled buffer except the first `n` ones, or else the empty unrolled buffer, if this unrolled buffer has less than `n` elements.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

66. #### def dropRight(n: Int): UnrolledBuffer[T]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a unrolled buffer consisting of all elements of this unrolled buffer except the last `n` ones, or else the empty unrolled buffer, if this unrolled buffer has less than `n` elements.

    Definition Classes
      IterableLike

67. #### def dropWhile(p: (T) ⇒ Boolean): UnrolledBuffer[T]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    p

      The predicate used to test elements.

    returns

      the longest suffix of this unrolled buffer whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike

68. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this unrolled buffer ends with the given sequence.

    Tests whether this unrolled buffer ends with the given sequence.

    that

      the sequence to test

    returns

      `true` if this unrolled buffer has `that` as a suffix, `false` otherwise.

    Definition Classes
      SeqLike → GenSeqLike

69. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

70. #### def equals(that: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    that

      The object to compare the sequence to

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      GenSeqLike → Equals → AnyRef → Any

71. #### def exists(p: (T) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this unrolled buffer.

    Tests whether a predicate holds for some of the elements of this unrolled buffer.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this unrolled buffer, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

72. #### def filter(p: (T) ⇒ Boolean): UnrolledBuffer[T]

    Selects all elements of this unrolled buffer which satisfy a predicate.

    Selects all elements of this unrolled buffer which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new unrolled buffer consisting of all elements of this unrolled buffer that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

73. #### def filterNot(p: (T) ⇒ Boolean): UnrolledBuffer[T]

    Selects all elements of this unrolled buffer which do not satisfy a predicate.

    Selects all elements of this unrolled buffer which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new unrolled buffer consisting of all elements of this unrolled buffer that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

74. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

75. #### def find(p: (T) ⇒ Boolean): Option[T]

    Finds the first element of the unrolled buffer satisfying a predicate, if any.

    Finds the first element of the unrolled buffer satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the unrolled buffer that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

76. #### abstract def flatMap[B](f: (T) ⇒ GenTraversableOnce[B]): UnrolledBuffer[B]

    [use case] Builds a new collection by applying a function to all elements of this unrolled buffer and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this unrolled buffer and using the elements of the resulting collections. For example:

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this unrolled buffer and concatenating the results.

    Definition Classes
      GenTraversableLike

77. #### def flatMap[B, That](f: (T) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

    Builds a new collection by applying a function to all elements of this unrolled buffer and using the elements of the resulting collections.

    Builds a new collection by applying a function to all elements of this unrolled buffer and using the elements of the resulting collections. For example:

         def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of unrolled buffer. This might cause unexpected results sometimes. For example:

         // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
         def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

         // lettersOf will return a Set[Char], not a Seq
         def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

         // xs will be a an Iterable[Int]
         val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

         // ys will be a Map[Int, Int]
         val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    f

      the function to apply to each element.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this unrolled buffer and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic

78. #### abstract def flatten[B]: UnrolledBuffer[B]

    [use case] Converts this unrolled buffer of traversable collections into a unrolled buffer formed by the elements of these traversable collections.

    [use case]

    Converts this unrolled buffer of traversable collections into a unrolled buffer formed by the elements of these traversable collections.

    B

      the type of the elements of each traversable collection.

    returns

      a new unrolled buffer resulting from concatenating all element unrolled buffers.

    Definition Classes
      GenericTraversableTemplate

79. #### def fold[A1 >: T](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this unrolled buffer using the specified associative binary operator.

    Folds the elements of this unrolled buffer using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

80. #### def foldLeft[B](z: B)(op: (B, T) ⇒ B): B

    Applies a binary operator to a start value and all elements of this unrolled buffer, going left to right.

    Applies a binary operator to a start value and all elements of this unrolled buffer, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this unrolled buffer, going left to right with the start value `z` on the left:

                      op(...op(z, x1), x2, ..., xn)

      where `x1, ..., xn` are the elements of this unrolled buffer.

    Definition Classes
      TraversableOnce → GenTraversableOnce

81. #### def foldRight[B](z: B)(op: (T, B) ⇒ B): B

    Applies a binary operator to all elements of this unrolled buffer and a start value, going right to left.

    Applies a binary operator to all elements of this unrolled buffer and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this unrolled buffer, going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this unrolled buffer.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

82. #### def forall(p: (T) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this unrolled buffer.

    Tests whether a predicate holds for all elements of this unrolled buffer.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this unrolled buffer, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

83. #### abstract def foreach(f: (T) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this unrolled buffer.

    [use case]

    Applies a function `f` to all elements of this unrolled buffer.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IterableLike

84. #### def foreach[U](f: (T) ⇒ U): Unit

    Applies a function `f` to all elements of this unrolled buffer.

    Applies a function `f` to all elements of this unrolled buffer.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    U

      the type parameter describing the result of function `f`. This result will always be ignored. Typically `U` is `Unit`, but this is not necessary.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      UnrolledBuffer → IterableLike → GenericTraversableTemplate → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic

85. #### def genericBuilder[B]: Builder[B, Buffer[B]]

    The generic builder that builds instances of UnrolledBuffer at arbitrary element types.

    The generic builder that builds instances of UnrolledBuffer at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

86. #### def genericClassManifestBuilder[B](implicit man: ClassManifest[B]): Builder[B, UnrolledBuffer[B]]

    Definition Classes
      GenericClassManifestTraversableTemplate

87. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

88. #### def groupBy[K](f: (T) ⇒ K): Map[K, UnrolledBuffer[T]]

    Partitions this unrolled buffer into a map of unrolled buffers according to some discriminator function.

    Partitions this unrolled buffer into a map of unrolled buffers according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new unrolled buffer.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to unrolled buffers such that the following invariant holds:

                          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a unrolled buffer of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

89. #### def grouped(size: Int): Iterator[UnrolledBuffer[T]]

    Partitions elements in fixed size unrolled buffers.

    Partitions elements in fixed size unrolled buffers.

    size

      the number of elements per group

    returns

      An iterator producing unrolled buffers of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      Iterator#grouped

90. #### def hasDefiniteSize: Boolean

    Tests whether this unrolled buffer is known to have a finite size.

    Tests whether this unrolled buffer is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

91. #### def hashCode(): Int

    Hashcodes for UnrolledBuffer produce a value from the hashcodes of all the elements of the unrolled buffer.

    Hashcodes for UnrolledBuffer produce a value from the hashcodes of all the elements of the unrolled buffer.

    returns

      the hash code value for this object.

    Definition Classes
      GenSeqLike → AnyRef → Any

92. #### def head: T

    Selects the first element of this unrolled buffer.

    Selects the first element of this unrolled buffer.

    returns

      the first element of this unrolled buffer.

    Definition Classes
      IterableLike → GenIterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the unrolled buffer is empty.

93. #### def headOption: Option[T]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this unrolled buffer if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike

94. #### abstract def indexOf(elem: T, from: Int): Int

    [use case] Finds index of first occurrence of some value in this unrolled buffer after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this unrolled buffer after or at some start index.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this unrolled buffer that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

95. #### def indexOf[B >: T](elem: B, from: Int): Int

    Finds index of first occurrence of some value in this unrolled buffer after or at some start index.

    Finds index of first occurrence of some value in this unrolled buffer after or at some start index.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this unrolled buffer that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

96. #### abstract def indexOf(elem: T): Int

    [use case] Finds index of first occurrence of some value in this unrolled buffer.

    [use case]

    Finds index of first occurrence of some value in this unrolled buffer.

    elem

      the element value to search for.

    returns

      the index of the first element of this unrolled buffer that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

97. #### def indexOf[B >: T](elem: B): Int

    Finds index of first occurrence of some value in this unrolled buffer.

    Finds index of first occurrence of some value in this unrolled buffer.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    returns

      the index of the first element of this unrolled buffer that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

98. #### def indexOfSlice[B >: T](that: GenSeq[B], from: Int): Int

    Finds first index after or at a start index where this unrolled buffer contains a given sequence as a slice.

    Finds first index after or at a start index where this unrolled buffer contains a given sequence as a slice.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this unrolled buffer starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

99. #### def indexOfSlice[B >: T](that: GenSeq[B]): Int

    Finds first index where this unrolled buffer contains a given sequence as a slice.

    Finds first index where this unrolled buffer contains a given sequence as a slice.

    that

      the sequence to test

    returns

      the first index such that the elements of this unrolled buffer starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

100. #### def indexWhere(p: (T) ⇒ Boolean, from: Int): Int

     Finds index of the first element satisfying some predicate after or at some start index.

     Finds index of the first element satisfying some predicate after or at some start index.

     p

       the predicate used to test elements.

     from

       the start index

     returns

       the index `>= from` of the first element of this unrolled buffer that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       SeqLike → GenSeqLike

101. #### def indexWhere(p: (T) ⇒ Boolean): Int

     Finds index of first element satisfying some predicate.

     Finds index of first element satisfying some predicate.

     p

       the predicate used to test elements.

     returns

       the index of the first element of this unrolled buffer that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

102. #### def indices: Range

     Produces the range of all indices of this sequence.

     Produces the range of all indices of this sequence.

     returns

       a `Range` value from `0` to one less than the length of this unrolled buffer.

     Definition Classes
       SeqLike

103. #### def init: UnrolledBuffer[T]

     Selects all elements except the last.

     Selects all elements except the last.

     returns

       a unrolled buffer consisting of all elements of this unrolled buffer except the last one.

     Definition Classes
       TraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the unrolled buffer is empty.

104. #### def inits: Iterator[UnrolledBuffer[T]]

     Iterates over the inits of this unrolled buffer.

     Iterates over the inits of this unrolled buffer. The first value will be this unrolled buffer and the final one will be an empty unrolled buffer, with the intervening values the results of successive applications of `init`.

     returns

       an iterator over all the inits of this unrolled buffer

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

105. #### def insert(n: Int, elems: T*): Unit

     Inserts new elements at a given index into this buffer.

     Inserts new elements at a given index into this buffer.

     n

       the index where new elements are inserted.

     elems

       the traversable collection containing the elements to insert.

     Definition Classes
       BufferLike
     Exceptions thrown
       IndexOutOfBoundsException

       if the index `n` is not in the valid range `0 <= n <= length`.

106. #### def insertAll(idx: Int, elems: Traversable[T]): Unit

     Inserts new elements at a given index into this buffer.

     Inserts new elements at a given index into this buffer.

     elems

       the traversable collection containing the elements to insert.

     Definition Classes
       UnrolledBuffer → BufferLike
     Exceptions thrown
       IndexOutOfBoundsException

       if the index `n` is not in the valid range `0 <= n <= length`.

107. #### abstract def intersect(that: Seq[T]): UnrolledBuffer[T]

     [use case] Computes the multiset intersection between this unrolled buffer and another sequence.

     [use case]

     Computes the multiset intersection between this unrolled buffer and another sequence.

     that

       the sequence of elements to intersect with.

     returns

       a new collection of type `That` which contains all elements of this unrolled buffer which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

     Definition Classes
       SeqLike

108. #### def intersect[B >: T](that: GenSeq[B]): UnrolledBuffer[T]

     Computes the multiset intersection between this unrolled buffer and another sequence.

     Computes the multiset intersection between this unrolled buffer and another sequence.

     B

       the element type of the returned unrolled buffer.

     that

       the sequence of elements to intersect with.

     returns

       a new collection of type `That` which contains all elements of this unrolled buffer which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

     Definition Classes
       SeqLike → GenSeqLike

109. #### def isDefinedAt(idx: Int): Boolean

     Tests whether this unrolled buffer contains given index.

     Tests whether this unrolled buffer contains given index.

     The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

     idx

       the index to test

     returns

       `true` if this unrolled buffer contains an element at position `idx`, `false` otherwise.

     Definition Classes
       GenSeqLike

110. #### def isEmpty: Boolean

     Tests whether the unrolled buffer is empty.

     Tests whether the unrolled buffer is empty.

     returns

       `true` if the unrolled buffer contains no elements, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

111. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

112. #### final def isTraversableAgain: Boolean

     Tests whether this unrolled buffer can be repeatedly traversed.

     Tests whether this unrolled buffer can be repeatedly traversed.

     returns

       `true`

     Definition Classes
       GenTraversableLike → GenTraversableOnce

113. #### def iterator: Iterator[T]

     Creates a new iterator over all elements contained in this iterable object.

     Creates a new iterator over all elements contained in this iterable object.

     returns

       the new iterator

     Definition Classes
       UnrolledBuffer → IterableLike → GenIterableLike

114. #### def last: T

     Selects the last element.

     Selects the last element.

     returns

       The last element of this unrolled buffer.

     Definition Classes
       TraversableLike
     Exceptions thrown
       NoSuchElementException

       If the unrolled buffer is empty.

115. #### abstract def lastIndexOf(elem: T, end: Int): Int

     [use case] Finds index of last occurrence of some value in this unrolled buffer before or at a given end index.

     [use case]

     Finds index of last occurrence of some value in this unrolled buffer before or at a given end index.

     elem

       the element value to search for.

     end

       the end index.

     returns

       the index `<= end` of the last element of this unrolled buffer that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

116. #### def lastIndexOf[B >: T](elem: B, end: Int): Int

     Finds index of last occurrence of some value in this unrolled buffer before or at a given end index.

     Finds index of last occurrence of some value in this unrolled buffer before or at a given end index.

     B

       the type of the element `elem`.

     elem

       the element value to search for.

     end

       the end index.

     returns

       the index `<= end` of the last element of this unrolled buffer that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

117. #### abstract def lastIndexOf(elem: T): Int

     [use case] Finds index of last occurrence of some value in this unrolled buffer.

     [use case]

     Finds index of last occurrence of some value in this unrolled buffer.

     elem

       the element value to search for.

     returns

       the index of the last element of this unrolled buffer that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

118. #### def lastIndexOf[B >: T](elem: B): Int

     Finds index of last occurrence of some value in this unrolled buffer.

     Finds index of last occurrence of some value in this unrolled buffer.

     B

       the type of the element `elem`.

     elem

       the element value to search for.

     returns

       the index of the last element of this unrolled buffer that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

119. #### def lastIndexOfSlice[B >: T](that: GenSeq[B], end: Int): Int

     Finds last index before or at a given end index where this unrolled buffer contains a given sequence as a slice.

     Finds last index before or at a given end index where this unrolled buffer contains a given sequence as a slice.

     that

       the sequence to test

     end

       the end index

     returns

       the last index `<= end` such that the elements of this unrolled buffer starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

120. #### def lastIndexOfSlice[B >: T](that: GenSeq[B]): Int

     Finds last index where this unrolled buffer contains a given sequence as a slice.

     Finds last index where this unrolled buffer contains a given sequence as a slice.

     that

       the sequence to test

     returns

       the last index such that the elements of this unrolled buffer starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

121. #### def lastIndexWhere(p: (T) ⇒ Boolean, end: Int): Int

     Finds index of last element satisfying some predicate before or at given end index.

     Finds index of last element satisfying some predicate before or at given end index.

     p

       the predicate used to test elements.

     returns

       the index `<= end` of the last element of this unrolled buffer that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       SeqLike → GenSeqLike

122. #### def lastIndexWhere(p: (T) ⇒ Boolean): Int

     Finds index of last element satisfying some predicate.

     Finds index of last element satisfying some predicate.

     p

       the predicate used to test elements.

     returns

       the index of the last element of this unrolled buffer that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

123. #### def lastOption: Option[T]

     Optionally selects the last element.

     Optionally selects the last element.

     returns

       the last element of this unrolled buffer$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike

124. #### def length: Int

     The length of the unrolled buffer.

     The length of the unrolled buffer.

     Note: `xs.length` and `xs.size` yield the same result.

     returns

       the number of elements in this unrolled buffer.

     Definition Classes
       UnrolledBuffer → BufferLike → SeqLike → GenSeqLike

125. #### def lengthCompare(len: Int): Int

     Compares the length of this unrolled buffer to a test value.

     Compares the length of this unrolled buffer to a test value.

     len

       the test value that gets compared with the length.

     returns

       A value `x` where

                  x <  0       if this.length <  len
                  x == 0       if this.length == len
                  x >  0       if this.length >  len

       The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

     Definition Classes
       SeqLike

126. #### def lift: (Int) ⇒ Option[T]

     Turns this partial function into an plain function returning an `Option` result.

     Turns this partial function into an plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

127. #### implicit val manifest: ClassManifest[T]

     Definition Classes
       UnrolledBuffer → GenericClassManifestTraversableTemplate

128. #### abstract def map[B](f: (T) ⇒ B): UnrolledBuffer[B]

     [use case] Builds a new collection by applying a function to all elements of this unrolled buffer.

     [use case]

     Builds a new collection by applying a function to all elements of this unrolled buffer.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this unrolled buffer and collecting the results.

     Definition Classes
       GenTraversableLike

129. #### def map[B, That](f: (T) ⇒ B)(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

     Builds a new collection by applying a function to all elements of this unrolled buffer.

     Builds a new collection by applying a function to all elements of this unrolled buffer.

     B

       the element type of the returned collection.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     f

       the function to apply to each element.

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this unrolled buffer and collecting the results.

     Definition Classes
       TraversableLike → GenTraversableLike → FilterMonadic

130. #### def mapResult[NewTo](f: (UnrolledBuffer[T]) ⇒ NewTo): Builder[T, NewTo]

     Creates a new builder by applying a transformation function to the results of this builder.

     Creates a new builder by applying a transformation function to the results of this builder.

     NewTo

       the type of collection returned by `f`.

     f

       the transformation function.

     returns

       a new builder which is the same as the current builder except that a transformation function is applied to this builder's result.

     Definition Classes
       Builder

131. #### abstract def max: T

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this unrolled buffer with respect to the ordering `cmp`.

     Definition Classes
       GenTraversableOnce

132. #### def max[B >: T](implicit cmp: Ordering[B]): T

     Finds the largest element.

     Finds the largest element.

     B

       The type over which the ordering is defined.

     cmp

       An ordering to be used for comparing elements.

     returns

       the largest element of this unrolled buffer with respect to the ordering `cmp`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

133. #### def maxBy[B](f: (T) ⇒ B)(implicit cmp: Ordering[B]): T

     Definition Classes
       TraversableOnce → GenTraversableOnce

134. #### abstract def min: T

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this unrolled buffer with respect to the ordering `cmp`.

     Definition Classes
       GenTraversableOnce

135. #### def min[B >: T](implicit cmp: Ordering[B]): T

     Finds the smallest element.

     Finds the smallest element.

     B

       The type over which the ordering is defined.

     cmp

       An ordering to be used for comparing elements.

     returns

       the smallest element of this unrolled buffer with respect to the ordering `cmp`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

136. #### def minBy[B](f: (T) ⇒ B)(implicit cmp: Ordering[B]): T

     Definition Classes
       TraversableOnce → GenTraversableOnce

137. #### def mkString: String

     Displays all elements of this unrolled buffer in a string.

     Displays all elements of this unrolled buffer in a string.

     returns

       a string representation of this unrolled buffer. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this unrolled buffer follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

138. #### def mkString(sep: String): String

     Displays all elements of this unrolled buffer in a string using a separator string.

     Displays all elements of this unrolled buffer in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this unrolled buffer. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this unrolled buffer are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

139. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this unrolled buffer in a string using start, end, and separator strings.

     Displays all elements of this unrolled buffer in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this unrolled buffer. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this unrolled buffer are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

140. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

141. #### def newBuilder: UnrolledBuffer[T]

     The builder that builds instances of type UnrolledBuffer[A]

     The builder that builds instances of type UnrolledBuffer[A]

     Attributes
       protected[this]
     Definition Classes
       UnrolledBuffer → GenericTraversableTemplate → TraversableLike → HasNewBuilder

142. #### def newUnrolled: Unrolled[T]

     Attributes
       protected

143. #### def nonEmpty: Boolean

     Tests whether the unrolled buffer is not empty.

     Tests whether the unrolled buffer is not empty.

     returns

       `true` if the unrolled buffer contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

144. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

145. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

146. #### def orElse[A1 <: Int, B1 >: T](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

147. #### abstract def padTo(len: Int, elem: T): UnrolledBuffer[T]

     [use case] A copy of this unrolled buffer with an element value appended until a given target length is reached.

     [use case]

     A copy of this unrolled buffer with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new collection of type `That` consisting of all elements of this unrolled buffer followed by the minimal number of occurrences of `elem` so that the resulting collection has a length of at least `len`.

     Definition Classes
       GenSeqLike

148. #### def padTo[B >: T, That](len: Int, elem: B)(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

     A copy of this unrolled buffer with an element value appended until a given target length is reached.

     A copy of this unrolled buffer with an element value appended until a given target length is reached.

     B

       the element type of the returned unrolled buffer.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     len

       the target length

     elem

       the padding value

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` consisting of all elements of this unrolled buffer followed by the minimal number of occurrences of `elem` so that the resulting collection has a length of at least `len`.

     Definition Classes
       SeqLike → GenSeqLike

149. #### def par: ParSeq[T]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

150. #### def parCombiner: Combiner[T, ParSeq[T]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       SeqLike → SeqLike → TraversableLike → Parallelizable

151. #### def partition(p: (T) ⇒ Boolean): (UnrolledBuffer[T], UnrolledBuffer[T])

     Partitions this unrolled buffer in two unrolled buffers according to a predicate.

     Partitions this unrolled buffer in two unrolled buffers according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of unrolled buffers: the first unrolled buffer consists of all elements that satisfy the predicate `p` and the second unrolled buffer consists of all elements that don't. The relative order of the elements in the resulting unrolled buffers is the same as in the original unrolled buffer.

     Definition Classes
       TraversableLike → GenTraversableLike

152. #### abstract def patch(from: Int, that: GenSeq[T], replaced: Int): UnrolledBuffer[T]

     [use case] Produces a new unrolled buffer where a slice of elements in this unrolled buffer is replaced by another sequence.

     [use case]

     Produces a new unrolled buffer where a slice of elements in this unrolled buffer is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original unrolled buffer

     returns

       a new unrolled buffer consisting of all elements of this unrolled buffer except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       GenSeqLike

153. #### def patch[B >: T, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

     Produces a new unrolled buffer where a slice of elements in this unrolled buffer is replaced by another sequence.

     Produces a new unrolled buffer where a slice of elements in this unrolled buffer is replaced by another sequence.

     B

       the element type of the returned unrolled buffer.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     from

       the index of the first replaced element

     patch

       the replacement sequence

     replaced

       the number of elements to drop in the original unrolled buffer

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new unrolled buffer consisting of all elements of this unrolled buffer except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqLike → GenSeqLike

154. #### def permutations: Iterator[UnrolledBuffer[T]]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this unrolled buffer.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

155. #### def prefixLength(p: (T) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this unrolled buffer such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

156. #### def prepend(elems: T*): Unit

     Prepends given elements to this buffer.

     Prepends given elements to this buffer.

     elems

       the elements to prepend.

     Definition Classes
       BufferLike

157. #### def prependAll(xs: TraversableOnce[T]): Unit

     Prepends the elements contained in a traversable object to this buffer.

     Prepends the elements contained in a traversable object to this buffer.

     xs

       the collection containing the elements to prepend.

     Definition Classes
       BufferLike

158. #### abstract def product: T

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements of this unrolled buffer with respect to the `*` operator in `num`.

     Definition Classes
       GenTraversableOnce

159. #### def product[B >: T](implicit num: Numeric[B]): B

     Multiplies up the elements of this collection.

     Multiplies up the elements of this collection.

     B

       the result type of the `*` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `*` operator to be used in forming the product.

     returns

       the product of all elements of this unrolled buffer with respect to the `*` operator in `num`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

160. #### def readOnly: Seq[T]

     Provide a read-only view of this buffer as a sequence

     Provide a read-only view of this buffer as a sequence

     returns

       A sequence which refers to this buffer for all its operations.

     Definition Classes
       BufferLike

161. #### def reduce[A1 >: T](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this unrolled buffer using the specified associative binary operator.

     Reduces the elements of this unrolled buffer using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the unrolled buffer is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this unrolled buffer is empty.

162. #### def reduceLeft[B >: T](op: (B, T) ⇒ B): B

     Definition Classes
       TraversableOnce

163. #### def reduceLeftOption[B >: T](op: (B, T) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this unrolled buffer, going left to right.

     Optionally applies a binary operator to all elements of this unrolled buffer, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this unrolled buffer is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

164. #### def reduceOption[A1 >: T](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this unrolled buffer, if any, using the specified associative binary operator.

     Reduces the elements of this unrolled buffer, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

165. #### def reduceRight[B >: T](op: (T, B) ⇒ B): B

     Applies a binary operator to all elements of this unrolled buffer, going right to left.

     Applies a binary operator to all elements of this unrolled buffer, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this unrolled buffer, going right to left:

                       op(x,,1,,, op(x,,2,,, ..., op(x,,n-1,,, x,,n,,)...))

       where `x1, ..., xn` are the elements of this unrolled buffer.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this unrolled buffer is empty.

166. #### def reduceRightOption[B >: T](op: (T, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this unrolled buffer, going right to left.

     Optionally applies a binary operator to all elements of this unrolled buffer, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this unrolled buffer is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

167. #### def remove(idx: Int): T

     Removes the element at a given index from this buffer.

     Removes the element at a given index from this buffer.

     returns

       the previous element at index `n`

     Definition Classes
       UnrolledBuffer → BufferLike
     Exceptions thrown
       IndexOutOfBoundsException

       if the if the index `n` is not in the valid range `0 <= n < length`.

168. #### def remove(n: Int, count: Int): Unit

     Removes a number of elements from a given index position.

     Removes a number of elements from a given index position.

     n

       the index which refers to the first element to remove.

     count

       the number of elements to remove.

     Definition Classes
       BufferLike
     Exceptions thrown
       IllegalArgumentException

       if `count < 0`.

       IndexOutOfBoundsException

       if the index `n` is not in the valid range `0 <= n <= length - count`.

169. #### def repr: UnrolledBuffer[T]

     The collection of type unrolled buffer underlying this `TraversableLike` object.

     The collection of type unrolled buffer underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

170. #### def result(): UnrolledBuffer[T]

     Produces a collection from the added elements.

     Produces a collection from the added elements. The builder's contents are undefined after this operation.

     returns

       a collection containing the elements added to this builder.

     Definition Classes
       UnrolledBuffer → Builder

171. #### def reverse: UnrolledBuffer[T]

     Returns new unrolled buffer wih elements in reversed order.

     Returns new unrolled buffer wih elements in reversed order.

     returns

       A new unrolled buffer with all elements of this unrolled buffer in reversed order.

     Definition Classes
       SeqLike → GenSeqLike

172. #### def reverseIterator: Iterator[T]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this unrolled buffer in reversed order

     Definition Classes
       SeqLike

173. #### abstract def reverseMap[B](f: (T) ⇒ B): UnrolledBuffer[B]

     [use case] Builds a new collection by applying a function to all elements of this unrolled buffer and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this unrolled buffer and collecting the results in reversed order.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this unrolled buffer and collecting the results in reversed order.

       Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     Definition Classes
       GenSeqLike

174. #### def reverseMap[B, That](f: (T) ⇒ B)(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

     Builds a new collection by applying a function to all elements of this unrolled buffer and collecting the results in reversed order.

     Builds a new collection by applying a function to all elements of this unrolled buffer and collecting the results in reversed order.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     f

       the function to apply to each element.

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this unrolled buffer and collecting the results in reversed order.

     Definition Classes
       SeqLike → GenSeqLike

175. #### def reversed: List[T]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

176. #### abstract def sameElements(that: GenIterable[T]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this unrolled buffer.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this unrolled buffer.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       GenIterableLike

177. #### def sameElements[B >: T](that: GenIterable[B]): Boolean

     Checks if the other iterable collection contains the same elements in the same order as this unrolled buffer.

     Checks if the other iterable collection contains the same elements in the same order as this unrolled buffer.

     B

       the type of the elements of collection `that`.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike

178. #### def scan[B >: T, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new unrolled buffer containing the prefix scan of the elements in this unrolled buffer

     Definition Classes
       TraversableLike → GenTraversableLike

179. #### def scanLeft[B, That](z: B)(op: (B, T) ⇒ B)(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

     Produces a collection containing cummulative results of applying the operator going left to right.

     Produces a collection containing cummulative results of applying the operator going left to right.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

180. #### def scanRight[B, That](z: B)(op: (T, B) ⇒ B)(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

     Produces a collection containing cummulative results of applying the operator going right to left.

     Produces a collection containing cummulative results of applying the operator going right to left. The head of the collection is the last cummulative result.

     Example:

            List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

181. #### def segmentLength(p: (T) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this unrolled buffer starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       SeqLike → GenSeqLike

182. #### def seq: Seq[T]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

183. #### def size: Int

     The size of this unrolled buffer, equivalent to `length`.

     The size of this unrolled buffer, equivalent to `length`.

     returns

       the number of elements in this unrolled buffer.

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

184. #### def sizeHint(coll: scala.collection.TraversableLike[_, _], delta: Int = 0): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     delta

       a correction to add to the `coll.size` to produce the size hint.

     Definition Classes
       Builder

185. #### def sizeHint(size: Int): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called.

     Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     Definition Classes
       Builder

186. #### def sizeHintBounded(size: Int, boundingColl: scala.collection.TraversableLike[_, _]): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     boundingColl

       the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

     Definition Classes
       Builder

187. #### def slice(from: Int, until: Int): UnrolledBuffer[T]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

            from <= indexOf(x) < until

     from

       the lowest index to include from this unrolled buffer.

     until

       the highest index to EXCLUDE from this unrolled buffer.

     returns

       a unrolled buffer containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this unrolled buffer.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

188. #### def sliding[B >: T](size: Int, step: Int): Iterator[UnrolledBuffer[T]]

     Definition Classes
       IterableLike

189. #### def sliding[B >: T](size: Int): Iterator[UnrolledBuffer[T]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing unrolled buffers of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       Iterator#sliding

190. #### def sortBy[B](f: (T) ⇒ B)(implicit ord: Ordering[B]): UnrolledBuffer[T]

     Sorts this UnrolledBuffer according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this UnrolledBuffer according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a unrolled buffer consisting of the elements of this unrolled buffer sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.        val words = "The quick brown fox jumped over the lazy dog".split(' ')
               // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
               words.sortBy(x => (x.length, x.head))
               res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

191. #### def sortWith(lt: (T, T) ⇒ Boolean): UnrolledBuffer[T]

     Sorts this unrolled buffer according to a comparison function.

     Sorts this unrolled buffer according to a comparison function.

     The sort is stable. That is, elements that are equal wrt `lt` appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a unrolled buffer consisting of the elements of this unrolled buffer sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.        List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
               List("Bob", "John", "Steve", "Tom")

192. #### def sorted[B >: T](implicit ord: Ordering[B]): UnrolledBuffer[T]

     Sorts this unrolled buffer according to an Ordering.

     Sorts this unrolled buffer according to an Ordering.

     The sort is stable. That is, elements that are equal wrt `lt` appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a unrolled buffer consisting of the elements of this unrolled buffer sorted according to the ordering `ord`.

     Definition Classes
       SeqLike
     See also

       scala.math.Ordering

193. #### def span(p: (T) ⇒ Boolean): (UnrolledBuffer[T], UnrolledBuffer[T])

     Splits this unrolled buffer into a prefix/suffix pair according to a predicate.

     Splits this unrolled buffer into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     p

       the test predicate

     returns

       a pair consisting of the longest prefix of this unrolled buffer whose elements all satisfy `p`, and the rest of this unrolled buffer.

     Definition Classes
       TraversableLike → GenTraversableLike

194. #### def splitAt(n: Int): (UnrolledBuffer[T], UnrolledBuffer[T])

     Splits this unrolled buffer into two at a given position.

     Splits this unrolled buffer into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of unrolled buffers consisting of the first `n` elements of this unrolled buffer, and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike

195. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this unrolled buffer contains the given sequence at a given index.

     Tests whether this unrolled buffer contains the given sequence at a given index.

     If the both the receiver object, `this` and the argument, `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this unrolled buffer at index `offset`, otherwise `false`.

     Definition Classes
       SeqLike → GenSeqLike

196. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this unrolled buffer starts with the given sequence.

     Tests whether this unrolled buffer starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

197. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this set. Unless overridden this is simply `"Buffer"`.

     Definition Classes
       UnrolledBuffer → BufferLike → TraversableLike → GenTraversableLike

198. #### abstract def sum: T

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements of this unrolled buffer with respect to the `+` operator in `num`.

     Definition Classes
       GenTraversableOnce

199. #### def sum[B >: T](implicit num: Numeric[B]): B

     Sums up the elements of this collection.

     Sums up the elements of this collection.

     B

       the result type of the `+` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `+` operator to be used in forming the sum.

     returns

       the sum of all elements of this unrolled buffer with respect to the `+` operator in `num`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

200. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

201. #### def tail: UnrolledBuffer[T]

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a unrolled buffer consisting of all elements of this unrolled buffer except the first one.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the unrolled buffer is empty.

202. #### def tails: Iterator[UnrolledBuffer[T]]

     Iterates over the tails of this unrolled buffer.

     Iterates over the tails of this unrolled buffer. The first value will be this unrolled buffer and the final one will be an empty unrolled buffer, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this unrolled buffer

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

203. #### def take(n: Int): UnrolledBuffer[T]

     Selects first n elements.

     Selects first n elements.

     n

       Tt number of elements to take from this unrolled buffer.

     returns

       a unrolled buffer consisting only of the first `n` elements of this unrolled buffer, or else the whole unrolled buffer, if it has less than `n` elements.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

204. #### def takeRight(n: Int): UnrolledBuffer[T]

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a unrolled buffer consisting only of the last `n` elements of this unrolled buffer, or else the whole unrolled buffer, if it has less than `n` elements.

     Definition Classes
       IterableLike

205. #### def takeWhile(p: (T) ⇒ Boolean): UnrolledBuffer[T]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     p

       The predicate used to test elements.

     returns

       the longest prefix of this unrolled buffer whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

206. #### def thisCollection: Seq[T]

     The underlying collection seen as an instance of `UnrolledBuffer`.

     The underlying collection seen as an instance of `UnrolledBuffer`. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       SeqLike → IterableLike → TraversableLike

207. #### abstract def toArray: Array[T]

     [use case] Converts this unrolled buffer to an array.

     [use case]

     Converts this unrolled buffer to an array.

     returns

       an array containing all elements of this unrolled buffer.

     Definition Classes
       GenTraversableOnce

208. #### def toArray[B >: T](implicit arg0: ClassManifest[B]): Array[B]

     Converts this unrolled buffer to an array.

     Converts this unrolled buffer to an array.

     B

       the type of the elements of the array. A `ClassManifest` for this type must be available.

     returns

       an array containing all elements of this unrolled buffer.

     Definition Classes
       TraversableOnce → GenTraversableOnce

209. #### def toBuffer[B >: T]: Buffer[B]

     Converts this unrolled buffer to a mutable buffer.

     Converts this unrolled buffer to a mutable buffer.

     returns

       a buffer containing all elements of this unrolled buffer.

     Definition Classes
       TraversableOnce → GenTraversableOnce

210. #### def toCollection(repr: UnrolledBuffer[T]): Seq[T]

     A conversion from collections of type `Repr` to `UnrolledBuffer` objects.

     A conversion from collections of type `Repr` to `UnrolledBuffer` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       SeqLike → IterableLike → TraversableLike

211. #### def toIndexedSeq[B >: T]: IndexedSeq[B]

     Converts this unrolled buffer to an indexed sequence.

     Converts this unrolled buffer to an indexed sequence.

     returns

       an indexed sequence containing all elements of this unrolled buffer.

     Definition Classes
       TraversableOnce → GenTraversableOnce

212. #### def toIterable: Iterable[T]

     Converts this unrolled buffer to an iterable collection.

     Converts this unrolled buffer to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this unrolled buffer.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

213. #### def toIterator: Iterator[T]

     Returns an Iterator over the elements in this unrolled buffer.

     Returns an Iterator over the elements in this unrolled buffer. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this unrolled buffer.

     Definition Classes
       TraversableLike → GenTraversableOnce

214. #### def toList: List[T]

     Converts this unrolled buffer to a list.

     Converts this unrolled buffer to a list.

     returns

       a list containing all elements of this unrolled buffer.

     Definition Classes
       TraversableOnce → GenTraversableOnce

215. #### abstract def toMap[T, U]: Map[T, U]

     [use case] Converts this unrolled buffer to a map.

     [use case]

     Converts this unrolled buffer to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map containing all elements of this unrolled buffer.

     Definition Classes
       GenTraversableOnce

216. #### def toMap[T, U](implicit ev: <:<[T, (T, U)]): Map[T, U]

     Converts this unrolled buffer to a map.

     Converts this unrolled buffer to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map containing all elements of this unrolled buffer.

     Definition Classes
       TraversableOnce → GenTraversableOnce

217. #### def toSeq: Seq[T]

     Converts this unrolled buffer to a sequence.

     Converts this unrolled buffer to a sequence.

     Overridden for efficiency.

     returns

       a sequence containing all elements of this unrolled buffer.

     Definition Classes
       SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

218. #### def toSet[B >: T]: Set[B]

     Converts this unrolled buffer to a set.

     Converts this unrolled buffer to a set.

     returns

       a set containing all elements of this unrolled buffer.

     Definition Classes
       TraversableOnce → GenTraversableOnce

219. #### def toStream: Stream[T]

     Converts this unrolled buffer to a stream.

     Converts this unrolled buffer to a stream.

     returns

       a stream containing all elements of this unrolled buffer.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

220. #### def toString(): String

     Converts this unrolled buffer to a string.

     Converts this unrolled buffer to a string.

     returns

       a string representation of this collection. By default this string consists of the `stringPrefix` of this unrolled buffer, followed by all elements separated by commas and enclosed in parentheses.

     Definition Classes
       SeqLike → TraversableLike → AnyRef → Any

221. #### def toTraversable: Traversable[T]

     Converts this unrolled buffer to an unspecified Traversable.

     Converts this unrolled buffer to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this unrolled buffer.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

222. #### def transform(f: (T) ⇒ T): UnrolledBuffer.this.type

     Applies a transformation function to all values contained in this sequence.

     Applies a transformation function to all values contained in this sequence. The transformation function produces new values from existing elements.

     f

       the transformation to apply

     returns

       the sequence itself.

     Definition Classes
       SeqLike

223. #### def transpose[B](implicit asTraversable: (T) ⇒ GenTraversableOnce[B]): Buffer[Buffer[B]]

     Transposes this unrolled buffer of traversable collections into a unrolled buffer of unrolled buffers.

     Transposes this unrolled buffer of traversable collections into a unrolled buffer of unrolled buffers.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this unrolled buffer is a `Traversable`.

     returns

       a two-dimensional unrolled buffer of unrolled buffers which has as nth row the nth column of this unrolled buffer.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this unrolled buffer are not of the same size.

224. #### def trimEnd(n: Int): Unit

     Removes the last n elements of this buffer.

     Removes the last n elements of this buffer.

     n

       the number of elements to remove from the end of this buffer.

     Definition Classes
       BufferLike

225. #### def trimStart(n: Int): Unit

     Removes the first n elements of this buffer.

     Removes the first n elements of this buffer.

     n

       the number of elements to remove from the beginning of this buffer.

     Definition Classes
       BufferLike

226. #### abstract def union(that: Seq[T]): UnrolledBuffer[T]

     [use case] Produces a new sequence which contains all elements of this unrolled buffer and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this unrolled buffer and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     that

       the sequence to add.

     returns

       a new collection of type `That` which contains all elements of this unrolled buffer followed by all elements of `that`.

     Definition Classes
       SeqLike

227. #### def union[B >: T, That](that: GenSeq[B])(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

     Produces a new sequence which contains all elements of this unrolled buffer and also all elements of a given sequence.

     Produces a new sequence which contains all elements of this unrolled buffer and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     B

       the element type of the returned unrolled buffer.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     that

       the sequence to add.

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` which contains all elements of this unrolled buffer followed by all elements of `that`.

     Definition Classes
       SeqLike → GenSeqLike

228. #### def unzip[A1, A2](implicit asPair: (T) ⇒ (A1, A2)): (Buffer[A1], Buffer[A2])

     Converts this unrolled buffer of pairs into two collections of the first and second half of each pair.

     Converts this unrolled buffer of pairs into two collections of the first and second half of each pair.

     asPair

       an implicit conversion which asserts that the element type of this unrolled buffer is a pair.

     returns

       a pair unrolled buffers, containing the first, respectively second half of each element pair of this unrolled buffer.

     Definition Classes
       GenericTraversableTemplate

229. #### def unzip3[A1, A2, A3](implicit asTriple: (T) ⇒ (A1, A2, A3)): (Buffer[A1], Buffer[A2], Buffer[A3])

     Converts this unrolled buffer of triples into three collections of the first, second, and third element of each triple.

     Converts this unrolled buffer of triples into three collections of the first, second, and third element of each triple.

     asTriple

       an implicit conversion which asserts that the element type of this unrolled buffer is a triple.

     returns

       a triple unrolled buffers, containing the first, second, respectively third member of each element triple of this unrolled buffer.

     Definition Classes
       GenericTraversableTemplate

230. #### def update(idx: Int, newelem: T): Unit

     Replaces element at given index with a new value.

     Replaces element at given index with a new value.

     Definition Classes
       UnrolledBuffer → BufferLike → SeqLike
     Exceptions thrown
       IndexOutOfBoundsException

       if the index is not valid.

231. #### abstract def updated(index: Int, elem: T): UnrolledBuffer[T]

     [use case] A copy of this unrolled buffer with one single replaced element.

     [use case]

     A copy of this unrolled buffer with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a new unrolled buffer`which is a copy of this unrolled buffer with the element at position` index`replaced by` elem`.`

     Definition Classes
       GenSeqLike

232. #### def updated[B >: T, That](index: Int, elem: B)(implicit bf: CanBuildFrom[UnrolledBuffer[T], B, That]): That

     A copy of this unrolled buffer with one single replaced element.

     A copy of this unrolled buffer with one single replaced element.

     B

       the element type of the returned unrolled buffer.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     index

       the position of the replacement

     elem

       the replacing element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new unrolled buffer`which is a copy of this unrolled buffer with the element at position` index`replaced by` elem`.`

     Definition Classes
       SeqLike → GenSeqLike

233. #### def view(from: Int, until: Int): SeqView[T, UnrolledBuffer[T]]

     Creates a non-strict view of a slice of this unrolled buffer.

     Creates a non-strict view of a slice of this unrolled buffer.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current unrolled buffer, whereas `slice` produces a new unrolled buffer.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this unrolled buffer, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

234. #### def view: SeqView[T, UnrolledBuffer[T]]

     Creates a non-strict view of this unrolled buffer.

     Creates a non-strict view of this unrolled buffer.

     returns

       a non-strict view of this unrolled buffer.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

235. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

236. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

237. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

238. #### def withFilter(p: (T) ⇒ Boolean): FilterMonadic[T, UnrolledBuffer[T]]

     Creates a non-strict filter of this unrolled buffer.

     Creates a non-strict filter of this unrolled buffer.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this unrolled buffer which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

239. #### abstract def zip[B](that: GenIterable[B]): UnrolledBuffer[(T, B)]

     [use case] Returns a unrolled buffer formed from this unrolled buffer and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a unrolled buffer formed from this unrolled buffer and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this unrolled buffer and `that`. The length of the returned collection is the minimum of the lengths of this unrolled buffer and `that`.

     Definition Classes
       GenIterableLike

240. #### def zip[A1 >: T, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[UnrolledBuffer[T], (A1, B), That]): That

     Returns a unrolled buffer formed from this unrolled buffer and another iterable collection by combining corresponding elements in pairs.

     Returns a unrolled buffer formed from this unrolled buffer and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     A1

       the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

     B

       the type of the second half of the returned pairs

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, B)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, B), That]`. is found.

     that

       The iterable providing the second half of each result pair

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `(A1, B)`.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this unrolled buffer and `that`. The length of the returned collection is the minimum of the lengths of this unrolled buffer and `that`.

     Definition Classes
       IterableLike → GenIterableLike

241. #### abstract def zipAll[B](that: Iterable[B], thisElem: T, thatElem: B): UnrolledBuffer[(T, B)]

     [use case] Returns a unrolled buffer formed from this unrolled buffer and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a unrolled buffer formed from this unrolled buffer and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this unrolled buffer is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this unrolled buffer.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this unrolled buffer and `that`. The length of the returned collection is the maximum of the lengths of this unrolled buffer and `that`. If this unrolled buffer is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this unrolled buffer, `thatElem` values are used to pad the result.

     Definition Classes
       GenIterableLike

242. #### def zipAll[B, A1 >: T, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[UnrolledBuffer[T], (A1, B), That]): That

     Returns a unrolled buffer formed from this unrolled buffer and another iterable collection by combining corresponding elements in pairs.

     Returns a unrolled buffer formed from this unrolled buffer and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this unrolled buffer is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this unrolled buffer.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this unrolled buffer and `that`. The length of the returned collection is the maximum of the lengths of this unrolled buffer and `that`. If this unrolled buffer is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this unrolled buffer, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike

243. #### abstract def zipWithIndex: UnrolledBuffer[(T, Int)]

     [use case] Zips this unrolled buffer with its indices.

     [use case]

     Zips this unrolled buffer with its indices.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this unrolled buffer paired with their index. Indices start at `0`.

     Definition Classes
       GenIterableLike

244. #### def zipWithIndex[A1 >: T, That](implicit bf: CanBuildFrom[UnrolledBuffer[T], (A1, Int), That]): That

     Zips this unrolled buffer with its indices.

     Zips this unrolled buffer with its indices.

     A1

       the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, Int)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, Int), That]`. is found.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this unrolled buffer paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike

### Deprecated Value Members

1. #### def +(elem1: T, elem2: T, elems: T*): UnrolledBuffer[T]

   Adds two or more elements to this collection and returns the collection itself.

   Adds two or more elements to this collection and returns the collection itself.

   Note that for backward compatibility reasons, this method mutates the collection in place, unlike similar but undeprecated methods throughout the collections hierarchy. You are strongly recommended to use '++=' instead.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   Definition Classes
     BufferLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "Use ++= instead if you intend to add by side effect to an existing collection.\012".+("Use `clone() ++=\' if you intend to create a new collection.")`

2. #### def +(elem: T): UnrolledBuffer[T]

   Adds a single element to this collection and returns the collection itself.

   Adds a single element to this collection and returns the collection itself.

   Note that for backward compatibility reasons, this method mutates the collection in place, unlike similar but undeprecated methods throughout the collections hierarchy. You are strongly recommended to use '+=' instead.

   elem

     the element to add.

   Definition Classes
     BufferLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "Use += instead if you intend to add by side effect to an existing collection.\012".+("Use `clone() +=\' if you intend to create a new collection.")`

3. #### def ++=(src: Array[T], start: Int, len: Int): Unit

   Adds a number of elements in an array

   Adds a number of elements in an array

   src

     the array

   start

     the first element to append

   len

     the number of elements to append

   Definition Classes
     BufferLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) replace by: `buf ++= src.view(start, end)`

4. #### def elements: Iterator[T]

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `iterator' instead`

5. #### def equalsWith[B](that: Seq[B])(f: (T, B) ⇒ Boolean): Boolean

   Tests whether every element of this unrolled buffer relates to the corresponding element of another sequence by satisfying a test predicate.

   Tests whether every element of this unrolled buffer relates to the corresponding element of another sequence by satisfying a test predicate.

   B

     the type of the elements of `that`

   that

     the other sequence

   returns

     `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this unrolled buffer and `y` of `that`, otherwise `false`.

   Definition Classes
     SeqLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `corresponds` instead

6. #### def findIndexOf(p: (T) ⇒ Boolean): Int

   Returns index of the first element satisfying a predicate, or `-1`.

   Returns index of the first element satisfying a predicate, or `-1`.

   Definition Classes
     SeqLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use indexWhere(p) instead.

7. #### def findLastIndexOf(p: (T) ⇒ Boolean): Int

   Returns index of the last element satisfying a predicate, or -1.

   Returns index of the last element satisfying a predicate, or -1.

   Definition Classes
     SeqLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `lastIndexWhere` instead

8. #### def first: T

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `head' instead`

9. #### def firstOption: Option[T]

   `None` if iterable is empty.

   `None` if iterable is empty.

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `headOption' instead`

10. #### def projection: SeqView[T, UnrolledBuffer[T]]

    returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

    returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

    Definition Classes
      SeqLike → IterableLike
    Annotations
      @deprecated
    Deprecated

      (Since version 2.8.0) use `view' instead`

11. #### def reversedElements: Iterator[T]

    Definition Classes
      SeqLike
    Annotations
      @deprecated
    Deprecated

      (Since version 2.8.0) use `reverseIterator' instead`

### Inherited from Serializable

### Inherited from Builder[T, UnrolledBuffer[T]]

### Inherited from GenericClassManifestTraversableTemplate[T, UnrolledBuffer]

### Inherited from Buffer[T]

### Inherited from BufferLike[T, UnrolledBuffer[T]]

### Inherited from Subtractable[T, UnrolledBuffer[T]]

### Inherited from Scriptable[T]

### Inherited from Shrinkable[T]

### Inherited from Growable[T]

### Inherited from Seq[T]

### Inherited from SeqLike[T, UnrolledBuffer[T]]

### Inherited from Cloneable[UnrolledBuffer[T]]

### Inherited from Seq[T]

### Inherited from SeqLike[T, UnrolledBuffer[T]]

### Inherited from GenSeq[T]

### Inherited from GenSeqLike[T, UnrolledBuffer[T]]

### Inherited from PartialFunction[Int, T]

### Inherited from (Int) ⇒ T

### Inherited from Iterable[T]

### Inherited from IterableLike[T, UnrolledBuffer[T]]

### Inherited from Equals

### Inherited from GenIterable[T]

### Inherited from GenIterableLike[T, UnrolledBuffer[T]]

### Inherited from Traversable[T]

### Inherited from Mutable

### Inherited from Traversable[T]

### Inherited from GenTraversable[T]

### Inherited from GenericTraversableTemplate[T, Buffer]

### Inherited from TraversableLike[T, UnrolledBuffer[T]]

### Inherited from GenTraversableLike[T, UnrolledBuffer[T]]

### Inherited from Parallelizable[T, ParSeq[T]]

### Inherited from TraversableOnce[T]

### Inherited from GenTraversableOnce[T]

### Inherited from FilterMonadic[T, UnrolledBuffer[T]]

### Inherited from HasNewBuilder[T, UnrolledBuffer[T]]

### Inherited from AnyRef

### Inherited from Any